perl-embperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Matthew Jarrett" <matt...@summit.net.au>
Subject Undefined subroutine &HTML::Embperl::handler called
Date Sat, 22 Jan 2005 20:12:32 GMT
Hi Guys,

I am new to this list, and am trying to solve a problem over the past 48
hours, without any luck.

I am running Apache/1.3.33 (Unix) mod_ssl/2.8.22 OpenSSL/0.9.7e
mod_perl/1.29 PHP/4.3.10 with Embperl-2.0rc2 installed on FreeBSD 5.3-Stable
as at 20/01/2005.

I am having a problem with getting Embperl2 to work correctly with Apache,
as I am getting the below error returned when I open up a .epl page from the
web server.

[Sun Jan 23 04:29:45 2005] [error] Undefined subroutine
&HTML::Embperl::handler called.\n

I was getting the below error:

[Sat Jan 22 19:45:22 2005] [error] Can't locate HTML/Embperl.pm in @INC
(@INC contains: /usr/local/lib/perl5/site_perl/5.8.5/
i386-freebsd-64int /usr/local/lib/perl5/site_perl/5.8.5/mach
/usr/local/lib/perl5/site_perl/5.8.5 /usr/local/lib/perl5/site_p
erl/5.8.3 /usr/local/lib/perl5/site_perl /usr/local/lib/perl5/5.8.5/BSDPAN
/usr/local/lib/perl5/5.8.5/mach /usr/local/lib/per
l5/5.8.5 . /usr/local/ /usr/local/lib/perl) at (eval 7) line 3.\n
[Sat Jan 22 19:45:22 2005] [error] Undefined subroutine
&HTML::Embperl::handler called.\n

until I copied Embperl.pm from /usr/local/lib/perl5/site_perl/5.8.5/mach/ to
/usr/local/lib/perl5/site_perl/5.8.5/mach/HTML and this got rid of the below
error

[Sat Jan 22 19:45:22 2005] [error] Can't locate HTML/Embperl.pm in @INC
(@INC contains: /usr/local/lib/perl5/site_perl/5.8.5/
i386-freebsd-64int /usr/local/lib/perl5/site_perl/5.8.5/mach
/usr/local/lib/perl5/site_perl/5.8.5 /usr/local/lib/perl5/site_p
erl/5.8.3 /usr/local/lib/perl5/site_perl /usr/local/lib/perl5/5.8.5/BSDPAN
/usr/local/lib/perl5/5.8.5/mach /usr/local/lib/per
l5/5.8.5 . /usr/local/ /usr/local/lib/perl) at (eval 7) line 3.\n

but left the undefined subroutine message.

I have Apache set with the following file handlers:

 <Files *.epl>
    SetHandler  perl-script
    PerlHandler HTML::Embperl
    Options     ExecCGI
    ExpiresActive On
    ExpiresDefault M0
 </Files>

Also, I have found that p5-HTML-Embperl from the FreeBSD ports collection
which is version 1.3.6 appears to crap itself continuously if I try and
install that as well, if that is any help.

Any help would be _greatly_ appreciated.

Thanks in advance,
Matthew.



---------------------------------------------------------------------
To unsubscribe, e-mail: embperl-unsubscribe@perl.apache.org
For additional commands, e-mail: embperl-help@perl.apache.org


Mime
View raw message